commit:     ce4e82e1ca3e154969a964744b37e18734e25955
Author:     Conrad Kostecki <conrad <AT> kostecki <DOT> com>
AuthorDate: Fri Mar  8 20:47:11 2019 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Mar 10 22:35:19 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce4e82e1

dev-libs/mxml: bump to version 3.0.

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Conrad Kostecki <conrad <AT> kostecki.com>
Closes: https://github.com/gentoo/gentoo/pull/11306
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-libs/mxml/Manifest        |  1 +
 dev-libs/mxml/mxml-3.0.ebuild | 62 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-libs/mxml/Manifest b/dev-libs/mxml/Manifest
index 85659fdfe21..9874fdfd13f 100644
--- a/dev-libs/mxml/Manifest
+++ b/dev-libs/mxml/Manifest
@@ -1 +1,2 @@
 DIST mxml-2.12.tar.gz 9112072 BLAKE2B 
29e63abdd567c76209ca41adf608bd752863cdb2911d5bda482a2c6ac50ccdae2179941a3899d7e58480bab8903fee8a6c431619072d2861acd01f18d0eeb9e5
 SHA512 
49233a0087f3ef73a01ef71bb79511af36bb72027e3d9f6df919385e9ff0b03a489a3ccc590941bc4af1f558f82b2ed9bf8ff641863300a7791ce6dddfd56e77
+DIST mxml-3.0.tar.gz 9266886 BLAKE2B 
d5d3481cfd1d015c620ef897bfc21e839ad2a70f5ffd58973f8435e0e6a66abd477f8fcaacfab05ce608314fed27241702becb60b49b8492560bcc9418b317f5
 SHA512 
3c540348022226b122ce014f183368cda6631600a11d8f4d43c99c62fba2f3ca4b23dff4122082f63915b59a46a5475d1d12d0081f9315c65f5c044ac3c751d6

diff --git a/dev-libs/mxml/mxml-3.0.ebuild b/dev-libs/mxml/mxml-3.0.ebuild
new file mode 100644
index 00000000000..7f02ea6604d
--- /dev/null
+++ b/dev-libs/mxml/mxml-3.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="A small XML parsing library that you can use to read XML data 
files or strings"
+HOMEPAGE="
+       https://github.com/michaelrsweet/mxml
+       https://www.msweet.org/mxml/
+"
+SRC_URI="https://github.com/michaelrsweet/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Mini-XML"
+SLOT="1/6"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="static-libs threads"
+
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+       default
+
+       # Respect users CFLAGS
+       sed -e 's/-Os -g//' -i configure.ac || die
+
+       # Don't run always tests
+       # Enable verbose compiling
+       sed -e '/ALLTARGETS/s/testmxml//g' -e '/.SILENT:/d' -i Makefile.in || 
die
+
+       # Build only static-libs, when requested by user, also build docs 
without static-libs in that case
+       if ! use static-libs; then
+               local mysedopts=(
+                       -e '/^install:/s/install-libmxml.a//g'
+                       -e '/^mxml.xml:/s/-static//g'
+                       -e '/^mxml.epub:/s/-static//g'
+                       -e '/^valgrind/s/-static//g'
+                       -e 's/.\/mxmldoc-static/LD_LIBRARY_PATH="." 
.\/mxmldoc/g'
+               )
+               sed "${mysedopts[@]}" -i Makefile.in || die
+       fi
+
+       eautoconf
+}
+
+src_configure() {
+       local myeconfopts=(
+               $(use_enable threads)
+               --with-docdir=/usr/share/doc/"${PF}"
+       )
+
+       econf "${myeconfopts[@]}"
+}
+
+src_test() {
+       emake testmxml
+}
+
+src_install() {
+       emake DSTROOT="${ED}" install
+}

Reply via email to